package kr.co.vividnext.sodalive.live.roulette

import kr.co.vividnext.sodalive.live.roulette.config.CreateOrUpdateRouletteRequest
import kr.co.vividnext.sodalive.live.roulette.config.RouletteApi

class RouletteRepository(private val api: RouletteApi) {
    fun createOrUpdateRoulette(
        request: CreateOrUpdateRouletteRequest,
        token: String
    ) = api.createOrUpdateRoulette(
        request = request,
        authHeader = token
    )

    fun getRoulette(creatorId: Long, token: String) = api.getRoulette(
        creatorId = creatorId,
        authHeader = token
    )
}
